#ifndef dimmableLedHPP
#define dimmableLedHPP

#include"Component.hpp"

class DimmableLed: public Component
{
private:
    int m_Intensity;
    uint32_t m_PortNumber;
public:
    DimmableLed(uint32_t thePortNumber, const char* theName, bool debug = false);
    DimmableLed(uint32_t thePortNumber, bool switchOn, const char* theName, bool debug = false);

    uint32_t GetPortNumber() const { return m_PortNumber; }
    bool IsSwitchedOn() const;

    bool DecreaseLight();
    bool IncreaseLight();
    void SwitchOn();
    void SwitchOff(); 
};
#endif
